Subject: Re: [PATCH v5 3/4] commit test: test_set_editor in each test

From: Jeff King <[email-masked]>
Date: Fri, 13 Jun 2014 19:41:29 -0400

On Fri, Jun 13, 2014 at 10:42:26AM -0700, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > [1] It might make sense for test_set_editor, when run from within a
> >     test, to behave more like test_config, and do:
> >
> >       test_when_finished '
> >         sane_unset FAKE_EDITOR &&
> >         sane_unset EDITOR
> >       '
> >
> >     I don't know if there would be fallouts with other test scripts,
> >     though.
> 
> The default environment for tests is to set EDITOR=: to avoid
> accidentally triggering interactive cruft and interfering with
> automated tests, I thought.

Ah, yeah, that would make more sense.

> If the above sane-unset is changed to EDITOR=: then I think that is
> probably sensible.

I think the trick is that other scripts may be relying on the global
side-effect, and would need to be fixed up (and it is not always obvious
which spots will need it; they might fail the tests, or they might start
silently passing for the wrong reason).

-Peff